<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Notifications\Notifiable;
use Illuminate\Database\Eloquent\SoftDeletes;
use Illuminate\Foundation\Auth\User as Authenticatable;

class SinglePannaBit extends Model
{
    use Notifiable , SoftDeletes;

 # define table
  protected $table ='single_panna_bits';
  
  # define fillable fields
  protected $fillable = [
  	                   'user_id',
  	                   'bit_id',
  	                   'bit_place',
  	                   'amount',
  	                   'status',
                       'payment_new_history_id'
                       
  ];

     /**
   * The attributes that should be cast.
   *
   * @var array
   */
  protected $casts = [
      'status'  => 'boolean',
  ];
    public function bit()
    {
       
        return $this->hasOne(new Bit(), 'id', 'bit_id');
    }
     public function username()
    {
       
        return $this->hasOne('App\User', 'id', 'user_id');
    }
      public function win()
    {
       
        return $this->hasOne(new UserWinnersAmount(), 'payment_new_history_id', 'payment_new_history_id');
    }
}